- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# WriteFile.cpp File Reference

`#include <osg/Notify>`
`#include <osg/Object>`
`#include <osg/Image>`
`#include <osg/Node>`
`#include <osg/Group>`
`#include <osg/Geode>`
`#include <osgDB/Registry>`
`#include <osgDB/WriteFile>`

Include dependency graph for WriteFile.cpp:

## Functions
bool | osgDB::writeObjectFile (const Object &object, const std::string &filename)
| Write an osg::Object to file.
bool | osgDB::writeImageFile (const Image &image, const std::string &filename)
| Write an osg::Image to file.
bool | osgDB::writeHeightFieldFile (const HeightField &HeightField, const std::string &filename)
| Write an osg::HeightField to file.
bool | osgDB::writeNodeFile (const Node &node, const std::string &filename)
| Write an osg::Node to file.